### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | UpdateItemInput | QueryInput | ScanInput

- #### R: StandardRequest<T, I, any>

### Hierarchy

- BaseRequest<T, I, R>
  - StandardRequest
    - WriteRequest
    - GetRequest
    - ReadManyRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- returnConsumedCapacity

## Constructors

### Protected constructor

- new StandardRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): StandardRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/standard.request.ts:17

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns StandardRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:23

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:25

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:24

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:27

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:26

## Methods

### Abstract exec

- exec(): Observable<T[] | T | null | void>

- - Defined in dynamo/request/standard.request.ts:25

  #### Returns Observable<T[] | T | null | void>

### Abstract execFullResponse

- execFullResponse(): Observable<any>

- - Defined in dynamo/request/standard.request.ts:23

  #### Returns Observable<any>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): R

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:48

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns R

Generated using TypeDoc